Page MenuHomePhabricator

VE Code block inspector confuses pygments languages and ACE language modes
Closed, ResolvedPublic1 Story Points

Description

It seems that this element's VE inspector is confusing the lexers of pygments with those of ACE. In ve.ui.MWSyntaxHighlightDialog.prototype.onLanguageInputChange it directly sets the pygments name on the ACE widget, even though there is no actual 1-1 relationship.

We should probably make a mapping of the two so we can translate properly between their identifiers (and possibly provide fallbacks even ?)

Event Timeline

TheDJ created this task.Oct 18 2016, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2016, 2:31 PM
TheDJ claimed this task.Oct 21 2016, 12:18 PM

Change 317150 had a related patch set uploaded (by TheDJ):
Convert SyntaxHighlight names to Ace names

https://gerrit.wikimedia.org/r/317150

TheDJ updated the task description. (Show Details)Oct 24 2016, 10:45 AM
Jdforrester-WMF closed this task as Resolved.Oct 31 2016, 5:21 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.